uniapp 使用sass 踩坑记

背景:无力吐槽,搞了我好多好多天,一直说版本问题,各种试
@vue/cli 创建的支付宝小程序项目,无法使用sass ,使用lang=‘scss’ 报错,尝试过好几个版本都不好使
下面是我使用的版本,大家避避坑,如果你们可以 那当我没说

  • "node-sass": "^4.14.1", "sass-loader": "^7.3.1",
  • "node-sass": "^4.14.1", "sass-loader": "^7.1.0",
    ...还有几个忘记了 (每次都是给整个node_module删除重新安装的)

下面进入正题 :

  • 我自己的 node版本: v12.16.0
  • 首先给自己的包卸载掉
    npm uninstall node-sass sass-loader
    - 安装sass ,注意这里是sass 不是node-sass
npm install sass   
npm install sass-loader@8.0.2

不输入命令,就直接在packagejson文件添加这两个,自己执行npm install也可以
image.png

操作完这些,发现我还报错,很生气,刚好电脑很卡 我就重启一下,emm 这货居然好了,泪目。。。

你可能感兴趣的